using System;
using System.Drawing;
using Icarus.Graphics.Animation;

namespace Icarus.Graphics.Animation.GDI
{

    /**
     * The render parameters needed to make render to GDI.
     */
    public class GDIRenderParameters 
		: IRenderParameters
	{
		/**
		 * The graphics context in which we want to render the graphics.
		 */
		private System.Drawing.Graphics m_GraphicsContext;

		/**
		 * Initializes the rendering parameters.
		 */
		public GDIRenderParameters(System.Drawing.Graphics context)
		{
			this.setGraphics(context);
		}

		/**
		 * Returns the graphics context.
		 */
		public System.Drawing.Graphics getGraphics()
		{
			return m_GraphicsContext;
		}

		/**
		 * Sets up the new graphics context.
		 */
		private void setGraphics(System.Drawing.Graphics g)
		{
			m_GraphicsContext = g;
		}
	}
}
